
QGIS Application - Bug report #11079

Layers can disappear when moving them in layers panel

2014-08-20 01:01 AM - Casper Børgesen

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:2.4.0 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19412

Description

I cannot reproduce this bug and even though it happens very rarely, it annoys me enough to report it.

What happens:

    -  I drag a layer from one position to another in the layers panel.

    -  When I drop the layer it vanishes and I cannot seem to find it anywhere in the panel.

I can also happen when I drag a file from outside QGIS into QGIS layer panel.

It might be that I drop the layer exactly between two objects (layers) but I would expect the panel behind to pick up the layer and either:

    -  try to calculate the position and redrop the layer correctly.

    -  drop the layer in the top of the list.

    -  drop the layer in the bottom of the list.

    -  cancel the drop.

I'm not sure whether QGIS keeps a handle to the file even though the layer is lost into the imaginary parts of the layers panel.

I'm using weekly master version 33 (5e26fbd) but it also happens in the official 2.4 release. I know its not much to go at :(

History

#1 - 2014-10-26 10:28 AM - Jürgen Fischer

- Category set to Map Legend

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-01-21 10:57 AM - Casper Børgesen

- Status changed from Open to Closed

I move to close this (my) issue due to:

- It targets a very old QGIS version.

- I guess it probably needs to be solved in QT rather than in QGIS (if it hasn't already been done).

- I haven't seen the issue for a looong time.
